Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Profile.h File Reference

`#include "tao/Tagged_Components.h"`
`#include "tao/GIOP_Message_Version.h"`
`#include "tao/Refcounted_ObjectKey.h"`
`#include "tao/Service_Callbacks.h"`
`#include "Profile.i"`

Include dependency graph for Profile.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | CORBA
## Classes
class | TAO_Profile
| Defines the Profile interface. More...
class | TAO_Unknown_Profile
| A TAO_Profile class to handle foreign profiles. More...
## Typedefs
typedef TAO_Unbounded_Sequence< CORBA::Octet > | TAO_opaque
## Functions
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const TAO_opaque &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, TAO_opaque &)

## Detailed Description

Id
  Profile.h,v 1.67 2005/11/24 11:05:45 ossama Exp

Author:
  Fred Kuhns <fredk@cs.wustl.edu>

## Typedef Documentation

typedef TAO_Unbounded_Sequence<CORBA::Octet> TAO_opaque

## Function Documentation

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const TAO_opaque & |
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | TAO_opaque & |
| ) |